Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Moisture Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"m", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletMoisture\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get threshold callbacks with a debounce time of 1 second (1000ms)", "*)"}],
   RowBox[{"m", "@", RowBox[{"SetDebouncePeriod", "[", "1000", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for moisture value reached callback", "*)"}],
   RowBox[{RowBox[{"MoistureReachedCB", "[", RowBox[{"sender_", ",", "moisture_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Moisture Value: \>\"", "<>", RowBox[{"ToString", "[", "moisture", "]"}]}], "]"}]}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"m", "@", "MoistureReachedCallback"}], ",", "MoistureReachedCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Configure threshold for moisture value ", "\"\<greater than 200\>\"", "", "*)"}],
   RowBox[{"option", "=", "Tinkerforge`BrickletMoisture`THRESHOLDUOPTIONUGREATER"}],
   RowBox[{"m", "@", RowBox[{"SetMoistureCallbackThreshold", "[", RowBox[{"option", ",", "200", ",", "0"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "m", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
