Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Sound Intensity Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"si", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletSoundIntensity\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get threshold callbacks with a debounce time of 1 second (1000ms)", "*)"}],
   RowBox[{"si", "@", RowBox[{"SetDebouncePeriod", "[", "1000", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for intensity reached callback", "*)"}],
   RowBox[{RowBox[{"IntensityReachedCB", "[", RowBox[{"sender_", ",", "intensity_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Intensity: \>\"", "<>", RowBox[{"ToString", "[", "intensity", "]"}]}], "]"}]}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"si", "@", "IntensityReachedCallback"}], ",", "IntensityReachedCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Configure threshold for intensity ", "\"\<greater than 2000\>\"", "", "*)"}],
   RowBox[{"option", "=", "Tinkerforge`BrickletSoundIntensity`THRESHOLDUOPTIONUGREATER"}],
   RowBox[{"si", "@", RowBox[{"SetIntensityCallbackThreshold", "[", RowBox[{"option", ",", "2000", ",", "0"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "si", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
